
#ifndef __BILLBOARD_H_
#define __BILLBOARD_H_
/*
Peon - Win32 Games Programming Library
Copyright (C) 2002-2005 Erik Yuzwa

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Erik Yuzwa
peon AT wazooinc DOT com
*/

#include "ISceneObject.h"

namespace peon
{
	/**
	* This object represents a billboarded quad within our 
	* scene. It's meant to be a rough starting point to create
	* other effects, and/or to just slap into your scene.
	*/
	class PEONMAIN_API Billboard : public ISceneObject
	{
	public:
		/**
		* Constructor
		*/
		Billboard();

		/**
		* Destructor
		*/
		virtual ~Billboard();
	};
}

#endif

