
#ifndef __IACTOR_H_
#define __IACTOR_H_
/*
Peon - Win32 Games Programming Library
Copyright (C) 2002-2005 Erik Yuzwa

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Erik Yuzwa
peon AT wazooinc DOT com
*/

#include "ISceneObject.h"

namespace peon
{
	/**
	* This "Actor" object is meant to be the root object
	* of entities in our game world which can move
	* and interact with others. 
	*
	* Think of IActors as real "actors" in a literal
	* sense. They are part of the play/stage which 
	* is the game world
	*/
	class PEONMAIN_API IActor : public ISceneObject
	{
	public:
		/**
		* Constructor
		*/
		IActor();

		/**
		* Destructor
		*/
		~IActor();
	};
}

#endif
